Bug 1633792 - PyQt4: Remove (sub)packages from Fedora 30+: PyQt4-assistant
Summary: PyQt4: Remove (sub)packages from Fedora 30+: PyQt4-assistant
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: PyQt4
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-09-27 18:59 UTC by Miro Hrončok
Modified: 2018-10-10 13:57 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-10 13:57:58 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-27 18:59:17 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of PyQt4 were marked for removal:

 * PyQt4-assistant

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Than Ngo 2018-10-09 12:01:40 UTC
it's fixed in PyQt4-4.12.3-2.fc30

Comment 2 Rex Dieter 2018-10-09 13:21:07 UTC
I think that's the wrong fix.  I think they were asking for python2 support to be *removed* not just for a subpackage to be moved (to main).

Reporter, can you clarify?

Comment 3 Rex Dieter 2018-10-09 13:27:36 UTC
per changelog,

 %changelog
+* Tue Oct 09 2018 Than Ngo <than@redhat.com> - 4.12.3-2
+- fixed #1633792. move assistant, webkit into main

Comment 4 Miro Hrončok 2018-10-09 13:48:35 UTC
Yes, we've asked for PyQt4-assistant package to be removed, including it's content.

Comment 5 Rex Dieter 2018-10-09 15:32:31 UTC
To be clear, the base PyQt4 package provides python2 bindings as well, so I'm guessing you really want *all* that removed?  The end result is that only python3 stuff be left behind?

Comment 6 Miro Hrončok 2018-10-09 17:36:57 UTC
The end result is that only python3 stuff is left behind, however other subpackages are needed here, see:

http://fedora.portingdb.xyz/pkg/PyQt4/

I realize that removing just PyQt4-assistant might be silly, however several other packages have subpackages that can be removed already and we cannot reasonably automate the part that says "removing just this one gives us no benefit at all". That's why we are always open for discussion with the package maintainers.

Comment 7 Rex Dieter 2018-10-10 13:57:58 UTC
* Wed Oct 10 2018 Rex Dieter <rdieter@fedoraproject.org> - 4.12.3-3
- drop -assistant subpkg on f30+ (#1633792)
    
drop both python2 and python3 variants for now, nothing depends on either one.


Note You need to log in before you can comment on or make changes to this bug.